<button (click)="redirect('/adminPanel')">Back</button>
<form id=flightForm [formGroup]="flightForm" (ngSubmit)="onSubmit(flightForm.value)">
    <div>
      <label for="flightCode">
        Flight Code
      </label>
      <input id="flightCode" type="text" [(ngModel)]="randomFlight" formControlName="flightCode">
    </div>  
    <div>
      <label for="origin">
        Origin
      </label>
      <select name="origin" formControlName="origin">
          <option value="" selected disabled hidden>Select an origin</option>
          <option  *ngFor="let x of locations" value="{{x.Code}}" #origin>{{x.Code}} | {{x.Destination}}</option>
       </select>
    </div>
    <div>
      <label for="destination">
        Destination
      </label>
      <select name="destination" formControlName="destination">
          <option value="" selected disabled hidden>Select an destination</option>
          <option  *ngFor="let x of locations" value="{{x.Code}}" #destination>{{x.Code}} | {{x.Destination}}</option>
       </select>
    </div>
    <div>
      <label for="airline">
        Airline
      </label>
      <select name="airline" formControlName="airline">
          <option value="" selected disabled hidden>Select an airline company</option>
          <option  *ngFor="let x of airline" value="{{x}}" #origin>{{x}}</option>
       </select>
    </div>
    <div>
        <label for="etd">
          Departure Date
        </label>
        <input id="etd" type="date" formControlName="etd">
        <label for="etdTime">
          Time
        </label>
        <input id="etdTime" type="time" formControlName="etdTime">
    </div>
    <div>
        <label for="eta">
          Arrival Date
        </label>
        <input id="eta" type="date" formControlName="eta">
        <label for="etaTime">
          Time
        </label>
        <input id="etaTime" type="time" formControlName="etaTime">
    </div>
    <div>
      <label for="price">
        Ticket Price
      </label>
      <input id="price" type="text" formControlName="price">
    
    </div>
    <button class="button" type="submit">Save</button>
    <button class="button" type="reset">Reset</button>
    <div id="error"></div>
    </form>
  